package com.jasamedika.medifirst2000.vo;

import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class LkkRencanaTindakLanjutVO extends BaseTransactionVO{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Lkk Identifikasi Korban")
	private LkkIdentifikasiKorbanVO lkkIdentifikasiKorban;
	
	@Caption(value="Bagian Tubuh yang cedera")
	private String bagianTubuh;
	
	@Caption(value="Jenis Cedera")
	private String jenisCedera;
	
	@Caption(value="Jenis Pengobatan")
	private String jenisPengobatan;
	
	@Caption(value="Tindakan Rawat Inap")
	private String tindakanRawatInap;
	
	@Caption(value="Tindakan Rawat Jalan")
	private String tindakanRawatJalan;
	
	@Caption(value="Tindakan Di Luar Rsab")
	private String tindakanDiLuarRsab;
	
	@Caption(value="Tindakan Lanjutan")
	private String tindakanLanjutan;

	public LkkIdentifikasiKorbanVO getLkkIdentifikasiKorban() {
		return lkkIdentifikasiKorban;
	}

	public void setLkkIdentifikasiKorban(LkkIdentifikasiKorbanVO lkkIdentifikasiKorban) {
		this.lkkIdentifikasiKorban = lkkIdentifikasiKorban;
	}

	public String getBagianTubuh() {
		return bagianTubuh;
	}

	public void setBagianTubuh(String bagianTubuh) {
		this.bagianTubuh = bagianTubuh;
	}

	public String getJenisCedera() {
		return jenisCedera;
	}

	public void setJenisCedera(String jenisCedera) {
		this.jenisCedera = jenisCedera;
	}

	public String getJenisPengobatan() {
		return jenisPengobatan;
	}

	public void setJenisPengobatan(String jenisPengobatan) {
		this.jenisPengobatan = jenisPengobatan;
	}

	public String getTindakanRawatInap() {
		return tindakanRawatInap;
	}

	public void setTindakanRawatInap(String tindakanRawatInap) {
		this.tindakanRawatInap = tindakanRawatInap;
	}

	public String getTindakanRawatJalan() {
		return tindakanRawatJalan;
	}

	public void setTindakanRawatJalan(String tindakanRawatJalan) {
		this.tindakanRawatJalan = tindakanRawatJalan;
	}

	public String getTindakanDiLuarRsab() {
		return tindakanDiLuarRsab;
	}

	public void setTindakanDiLuarRsab(String tindakanDiLuarRsab) {
		this.tindakanDiLuarRsab = tindakanDiLuarRsab;
	}

	public String getTindakanLanjutan() {
		return tindakanLanjutan;
	}

	public void setTindakanLanjutan(String tindakanLanjutan) {
		this.tindakanLanjutan = tindakanLanjutan;
	}
	
	
}
